Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface JTATransaction

All Superinterfaces:
  Serializable

public interface JTATransaction
extends Serializable

This class represents information about a live transaction.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getCoordinatorURL()` The URL of the coordinating server.
`String` | `getName()` The name of the transaction as defined by the application that started the transaction.
`Map` | `getResourceNamesAndStatus()` The collection of participating resource names and their status for the transaction.
`int` | `getSecondsActiveCurrentCount()` The time in seconds for which the transaction has been active.
`String[]` | `getServers()` The servers that participate in the transaction.
`Map` | `getServersAndStatus()` The collection of participating servers and their status for the transaction.
`String` | `getStatus()` The current status of the transaction.
`Map` | `getUserProperties()` The user-defined properties associated with the transaction.
`Xid` | `getXid()` The transaction ID assigned by the transaction manager.

Method Detail

### getCoordinatorURL

    public String getCoordinatorURL()

  The URL of the coordinating server.

  Returns:
    The coordinatorURL value

### getName

    public String getName()

  The name of the transaction as defined by the application that started the transaction.

  Returns:
    The name value

### getResourceNamesAndStatus

    public Map getResourceNamesAndStatus()

  The collection of participating resource names and their status for the transaction.

  Returns:
    The resourceNamesAndStatus value

### getSecondsActiveCurrentCount

    public int getSecondsActiveCurrentCount()

  The time in seconds for which the transaction has been active.

  Returns:
    The secondsActiveCurrentCount value

### getServers

    public String[] getServers()

  The servers that participate in the transaction.

  Returns:
    The servers value

### getServersAndStatus

    public Map getServersAndStatus()

  The collection of participating servers and their status for the transaction. The server name is qualified with the server's domain name.

  Returns:
    The serversAndStatus value

### getStatus

    public String getStatus()

  The current status of the transaction.

  Returns:
    The status value

### getUserProperties

    public Map getUserProperties()

  The user-defined properties associated with the transaction.

  Returns:
    The userProperties value

### getXid

    public Xid getXid()

  The transaction ID assigned by the transaction manager.

  Returns:
    The xid value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD